ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::xml::model::Objective::Impl Class Reference

Private implementation details of Objective model object. More...

Collaboration diagram for ome::xml::model::Objective::Impl:
[legend]

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
ome::compat::shared_ptr< bool > | iris
| Iris property.
ome::compat::shared_ptr< double > | workingDistance
| WorkingDistance property.
ome::compat::shared_ptr< ome::xml::model::enums::Immersion > | immersion
| Immersion property.
ome::compat::shared_ptr< ome::xml::model::enums::Correction > | correction
| Correction property.
ome::compat::shared_ptr< double > | lensNA
| LensNA property.
ome::compat::shared_ptr< double > | nominalMagnification
| NominalMagnification property.
ome::compat::shared_ptr< double > | calibratedMagnification
| CalibratedMagnification property.
std::string | id
| ID property.
ome::compat::weak_ptr< ome::xml::model::Instrument > | instrument
| Instrument_BackReference back reference.

## Detailed Description

Private implementation details of Objective model object.

The documentation for this class was generated from the following file:

- ome/xml/model/Objective.cpp